Support » Plugin: Postman SMTP Mailer/Email Log » openssl ERROR after upgrading

  • Resolved dk9

    (@dk9)


    Hi there,
    First I would like to thank you for your wonderful plugin. Its really amazing, and does great job.
    I upgraded yesterday the plugin. I’m also using the extension for google HTTP mail. After upgrading i’m getting this message:
    Your PHP installation is missing the openssl library. Please install openssl before continuing.

    Before everything was working smooth… what’s your idea? Thanks 🙂

    https://wordpress.org/plugins/postman-smtp/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Jason Hendriks

    (@jasonhendriks)

    You don’t have OpenSSL installed?? Holy crap 🙂 How is anything working? Haha.

    Please send me your output from Tips + Diagnostics.

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    I released v1.5.8 which will continue to work, but display a warning if OpenSSL can’t be found. I don’t understand how your setup is working, especially if you’re using the Gmail API. That’s definitely HTTPS.

    Well, I sure don’t know. The fact is that I can’t use normal SMTP plugins because I believe my server is blocking the 465 port. So I thought I would use your API http plugin which will solve the problem, and it actually did.
    setup:

    PHP Version: WINNT 5.4.7
    PHP OpenSSL support: No
    PHP spl_autoload_register support: Yes
    PHP iconv support: Yes
    PHP error: (display_errors|errorReporting): 1|0
    WordPress Version: 4.1.1
    WordPress Debug (WP_DEBUG|WP_DEBUG_LOG|WP_DEBUG_DISPLAY): ||1
    WordPress Active Plugins : Admin Bar : Akismet : BackupBuddy : Business Directory Plugin : Call Now Button : CloudFlare : CodeStyling Localization : Contact Form 7 : Custom Facebook Feed : Easy Watermark : Imsanity : Lightbox Plus Colorbox : Menu Icons : WP No Category Base – WPML compatible : Peter’s Login Redirect : Postman Gmail API Extension : Postman SMTP : Really Simple CAPTCHA : Resize Image After Upload : Fast Secure Contact Form : Simple 301 Redirects : WPML Multilingual CMS : Polls by OpinionStage : Taqyeem – Buttons Addon : Taqyeem Predefined Criteria : Taqyeem : Telnumlinker : TinyMCE Color Picker : Video Sidebar Widgets : Video Thumbnails : WooCommerce Call for Price : WooCommerce – Store Exporter : WooCommerce Gateways Country Limiter : WooCommerce Multilingual : WooCommerce Product Archive Customiser : WooCommerce : Woocommerce shop category display : WordPress SEO : WP-RTL : WP Social SEO Booster : WPML CMS Nav : WPML Media : WPML Sticky Links : WPML String Translation : WPML Compatibility Test Tools : WPML Translation Management
    Postman Version: 1.5.7
    Postman Sender: da*******ni@gmail.com
    Postman Transport URI: gmail_api:https:oauth2://8855****************************************************************.com:************************@www.googleapis.com:443
    Postman Transport Status (configured|ready|connected): Yes|Yes|Yes
    Postman Deliveries (Success|Fail): 2|0
    Postman Bind (success|failure): No|No
    Postman Available Transports : Gmail API (1.0.0) : SMTP (1.5.7)
    Postman LogLevel: 40000
    Postman TCP Timeout (Connection|Read): 10|60
    HTTP User Agent: Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.89 Safari/537.36

    cheers

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    I hope with v.1.5.8 your email is sending again?

    Hi dear Jason. It does send again. But, it send it twice. And also, when using contact 7, the wheel don’t stop turning and every other click sends 2 more. Wier?

    Thanks a ton
    Daniel

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    Daniel would you please email me at jason at hendriks dot ca I would like to investigate in more detail.

    Plugin Author Jason Hendriks

    (@jasonhendriks)

    Hi Daniel, are you able to send me the debug log of your attempt to send email? I’d like to see what’s going on ‘under the hood’ of your site.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘openssl ERROR after upgrading’ is closed to new replies.